API Explorer 1 endpoints

Add Entitlement for a User

POST /obp/v7.0.0/users/USER_ID/entitlements

OBPv7.0.0-addEntitlement Roles: CanCreateEntitlementAtOneBank(per bank),CanCreateEntitlementAtAnyBank EntitlementRoleUser

Grant a Role to a User. Set bank_id to "" for system-level roles, or a valid bank_id for bank-level roles. The bank_id must name an existing Bank (matched exactly, case included), or be SYS, the system space of Dynamic Entities.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

USER_ID: 9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1

JSON request body fields (2)
bank_id
gh.29.uk
role_name
JSON response body fields (0)
Example request body
{
  "bank_id": "gh.29.uk",
  "role_name": "CanGetAnyUser"
}
Possible errors (7)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20005: User not found. Please specify a valid value for USER_ID.
  • OBP-10001: Incorrect json format.
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
  • OBP-30216: Entitlement already exists for the user.
  • OBP-50000: Unknown Error.
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv7.0.0 addEntitlement